import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (p, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? m(t, s) : t, n = p.length - 1, i; n >= 0; n--)
    (i = p[n]) && (e = (o ? i(t, s, e) : i(e)) || e);
  return o && e && v(t, s, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--conversionRate", this.class = "c-pieIcon c-pieIcon--conversionRate", this.name = "IconConversionRate";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--conversionRate"><path d="M10.249 8.157a2.328 2.328 0 1 0-2.328 2.328 2.336 2.336 0 0 0 2.328-2.328m-3.343 0a1.015 1.015 0 1 1 2.03 0 1.015 1.015 0 0 1-2.03 0M15 7.125 13.25 9.75l-2.03-2.625h1.277a4.5 4.5 0 0 0-1.25-2.371 4.586 4.586 0 0 0-6.493 0l-.928-.928a5.9 5.9 0 0 1 8.348 0 5.82 5.82 0 0 1 1.662 3.299zm-3.754 4.121.928.928a5.897 5.897 0 0 1-8.348 0 5.8 5.8 0 0 1-1.662-3.3H1L2.75 6.25l2.03 2.625H3.502c.167.899.604 1.726 1.252 2.371a4.586 4.586 0 0 0 6.492 0"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  h("icon-conversion-rate")
], r);
export {
  r as IconConversionRate
};
